Loading...
Searching...
No Matches
caf::mixin::behavior_changer< Base, Subtype > Class Template Reference

A behavior_changer is an actor that supports self->become(...) and self->unbecome(). More...

`#include <behavior_changer.hpp>`

## Public Types

using | extended_base = behavior_changer
using | behavior_type = typename behavior_type_of<Subtype>::type

## Public Member Functions

template<class... Ts>
| behavior_changer (Ts &&... xs)
void | become (behavior_type bhvr)
void | become (const keep_behavior_t &, behavior_type bhvr)
template<class T0, class T1, class... Ts>
std::enable_if<!std::is_same< keep_behavior_t, typenamestd::decay< T0 >::type >::value >::type | become (T0 &&x0, T1 &&x1, Ts &&... xs)
template<class T0, class T1, class... Ts>
void | become (const keep_behavior_t &, T0 &&x0, T1 &&x1, Ts &&... xs)
void | unbecome ()

## Detailed Description

template<class Base, class Subtype>
class caf::mixin::behavior_changer< Base, Subtype >

A behavior_changer is an actor that supports self->become(...) and self->unbecome().

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/mixin/behavior_changer.hpp